%define pkgname	libgnomedb
%define	major	4
%define name	gnome-db2.0
%define libname %mklibname %{name}_ %major
%define gdaver 1.1.99

Summary:	GNOME DB
Name:		%name
Version: 1.2.2
Release: 1mdk
License:	GPL/LGPL
Group: 		Databases
URL:		http://www.gnome-db.org/
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	libgnomeui2-devel
BuildRequires:	gda2.0-devel >= %gdaver
BuildRequires:	scrollkeeper
BuildRequires:	gtk-doc
BuildRequires:	libglade2.0-devel
BuildRequires:	gtksourceview-devel
BuildRequires:  evolution-data-server-devel
BuildRequires:	ImageMagick
BuildRequires:  perl-XML-Parser
PreReq:		scrollkeeper

%description
Gnome DB is a frontend to the GDA architecture, being developed as part
of the GNOME project. It adds, to the already powerful GDA architecture,
a nice GUI front end for users, as well as a whole set of software
components intended to be reused in other unrelated applications.

This package contains the core components of GNOME-DB.

%package -n %{libname}
Summary:	GNOME DB libraries
Group: 		System/Libraries

%description -n %{libname}
Gnome DB is a frontend to the GDA architecture, being developed as part
of the GNOME project. It adds, to the already powerful GDA architecture,
a nice GUI front end for users, as well as a whole set of software
components intended to be reused in other unrelated applications.


%package -n %{libname}-devel
Summary:	GNOME DB Development
Group: 		Development/Databases
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}
Provides:	lib%{name}-devel = %{version}

%description -n %{libname}-devel
Gnome DB is a frontend to the GDA architecture, being developed as part
of the GNOME project. It adds, to the already powerful GDA architecture,
a nice GUI front end for users, as well as a whole set of software
components intended to be reused in other unrelated applications.

This package contains libraries, header files and tools to let
you develop GNOME-DB applications.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std


# menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/gnome-database-properties" \
 icon="gnome-db2.png" \
 needs="x11" section="Applications/Databases" \
 title="GNOME Database configuration" \
 longtitle="Configure your database environment" \
 startup_notify="true"
EOF

# icons
mkdir -p $RPM_BUILD_ROOT%{_iconsdir} $RPM_BUILD_ROOT%{_miconsdir}
install -D -m 644 gnome-db.png $RPM_BUILD_ROOT%{_liconsdir}/gnome-db2.png
convert -geometry 32x32 gnome-db.png $RPM_BUILD_ROOT%{_iconsdir}/gnome-db2.png
convert -geometry 16x16 gnome-db.png $RPM_BUILD_ROOT%{_miconsdir}/gnome-db2.png

%{find_lang} %{pkgname}-2 --with-gnome

# remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_libdir}/libglade/2.0/*.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` \
 %{_bindir}/gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/libgnomedb.schemas > /dev/null

%preun
if [ "$1" = "0" ]; then
 GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` \
  %{_bindir}/gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/libgnomedb.schemas > /dev/null
fi

%postun
%{clean_menus}

%post -n %{libname}-devel
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q; fi

%postun -n %{libname}-devel
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q; fi

%post -n %{libname} -p /sbin/ldconfig
							  
%postun -n %{libname} -p /sbin/ldconfig
							  
%files -f %{pkgname}-2.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS
%{_bindir}/*
%{_sysconfdir}/gconf/schemas/*
%{_datadir}/control-center-2.0/capplets/*
%{_datadir}/mime-info/*
%{_datadir}/pixmaps/*
%{_datadir}/gnome-db
#%{_libexecdir}/gnome-database-components
#%{_libdir}/bonobo/monikers/*
#%{_libdir}/bonobo/servers/*
%{_libdir}/libglade/2.0/*

%{_menudir}/*
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_miconsdir}/*.png

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-, root, root)
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/omf/libgnomedb

%changelog
* Tue Jun 14 2005 Gtz Waschk <waschk@mandriva.org> 1.2.2-1mdk
- New release 1.2.2

* Thu Mar 03 2005 Götz Waschk <waschk@linux-mandrake.com> 1.2.1-1mdk
- New release 1.2.1

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-2mdk 
- Rebuild with latest howl

* Tue Dec 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.0-1mdk
- major 4
- New release 1.2.0

* Wed Nov 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.99-1mdk
- major 1
- requires new gda
- New release 1.1.99

* Sun Aug 15 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.1.6-1mdk
- New release 1.1.6

* Thu Jul 22 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.1.5-1mdk
- New release 1.1.5

* Fri Jul 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.4-2mdk
- Fix BuildRequires
- Fix icon name to not conflict with gnome-db 0.2.96

* Thu Jun 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.4-1mdk
- fix source URL
- New release 1.1.4

* Fri Jun 04 2004 Abel Cheung <deaddog@deaddog.org> 1.1.3-1mdk
- New version
- Use ImageMagick to convert icons
- Use UTF-8 for spec

* Tue Apr 27 2004 Götz Waschk <waschk@linux-mandrake.com> 1.1.2-1mdk
- build with evolution-data-server
- drop source 4
- new version

* Mon Apr  5 2004 Götz Waschk <waschk@linux-mandrake.com> 1.1.1-1mdk
- remove bonobo component (was removed)
- build with gtksourceview
- fix gtk-doc build
- enable gtk-doc
- requires new gda
- new version

* Sat Jan 31 2004 Götz Waschk <waschk@linux-mandrake.com> 1.0.3-2mdk
- fix intltool build

* Sat Jan 17 2004 Götz Waschk <waschk@linux-mandrake.com> 1.0.3-1mdk
- new version

* Mon Dec 01 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- Release 1.0.2
- Remove patches 0, 1 (merged upstream)

* Fri Nov 07 2003 Frederic Crozat <fcrozat@mandrakeosft.com> 1.0.1-1mdk
- Release 1.0.1
- Regenerate patch1

* Wed Oct  8 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.91.0-2mdk
- lib64 fixes, add some missing includes

* Thu Aug  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.91.0-1mdk
- Release 0.91.0

* Wed Jul 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.90.0-1mdk
- Release 0.90.0

* Fri Jun 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.12.2-1mdk
- Release 0.12.2

* Fri Jun 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.12.1-1mdk
- Release 0.12.1
- Remove patch0 (merged upstream)

* Fri Jun  6 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.12.0-1mdk
- Release 0.12.0
- Patch0 (CVS): fix soname and libglade typos.

* Fri Apr 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.11.0-3mdk
- Clean specfile and bump major
- Fix buildrequires (should be implicit)
- Fix devel dependency

* Sun Apr 13 2003 Marcel Pol <mpol@gmx.net> 0.11.0-2mdk
- buildrequires

* Sun Apr 06 2003 Marcel Pol <mpol@gmx.net> 0.11.0-1mdk
- make gnome-db2.0 package
- s/xpm/png

* Thu Oct 10 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2.96-6mdk
- Patch1: Don't explicitly -L/usr/lib. This undoubtedly break lib64 arches
- Patch0: Add missing includes. Besides making it more ISO C
  compliant, we get correct prototypes especially those for variadic fns

* Sat Aug 17 2002 Pixel <pixel@mandrakesoft.com> 0.2.96-5mdk
- rebuild for perl thread-multi

* Mon Jul 22 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2.96-4mdk
- Regenerate configure script with appropriate libtool.m4 for new arches

* Thu Jul 11 2002 Pixel <pixel@mandrakesoft.com> 0.2.96-3mdk
- rebuild for perl 5.8.0

* Wed May 29 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2.96-2mdk
- Automated rebuild with gcc 3.1-1mdk

* Thu Mar 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.96-1mdk
- Release 0.2.96
- Disable parallel compilation

* Fri Jan 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.95-1mdk
- Release 0.2.95

* Sat Jan 19 2002 Stefan van der Eijk <stefan@eijk.nu> 0.2.93-4mdk
- BuildRequires

* Mon Dec 31 2001 Stefan van der Eijk <stefan@eijk.nu> 0.2.93-3mdk
- fix BuildRequires

* Mon Dec  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.93-2mdk
- Fix reference directory in .la files
- Use makeinstall_std macro

* Tue Oct 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.93-1mdk
- Release 0.2.93
- Remove patch0 (merged upstream)
- Move monikers to main package

* Mon Oct  1 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.91-1mdk
- Release 0.2.91
- Remove patch1 (merged upstream)
- Add scrollkeeper support

* Sat Aug  4 2001 Pixel <pixel@mandrakesoft.com> 0.2.10-3mdk
- add require the perl-base used for building (the libperl.so auto-require is not enough)

* Thu Jun 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.10-2mdk
- fix menu entry
- Recompiled to really remove dependency on gtkhtml

* Wed Jun 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.10-1mdk
- Release 0.2.10
- Update BuildRequires
- Patch1 : fix gnome-print detection

* Fri May 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.3-2mdk
- Recompiled against latest gtkhtml

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.3-1mdk
- Release 0.2.3
- Create menu entry
- Recompiled against latest gal
- Add missing files from tarball
- add locales

* Tue Feb 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.2-1mdk
- First mandrake package
- Libification
- Patch 0 to compile with latest bonobo

* Fri Aug 11 2000 Rodrigo Moya <rodrigo@linuxave.net>
- Initial spec imported from old GNOME-DB spec
